[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TMasterParamsDataLink.Create

Initialize a new TMasterParamsDataLink instance

## Declaration

Source position: db.pas line 1890

`public constructor TMasterParamsDataLink.Create(`
`ADataSet: TDataSet`
`); override;`

## Arguments

`ADataSet` |  | Detail dataset

## Description

Create first calls the inherited constructor using ADataset, and then looks for a property named Params of type TParams in the published properties of ADataset and assigns it to the Params property.

## See also

TDataset |  | Base class for records-based data-access
TParams |  | A collection of parameter values for SQL-based datasets
TMasterParamsDataLink.Params |  | Parameters of detail dataset.